{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block content %}
    <!--<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">-->

    <section class="content-header customer_content_header">
        <h1>SR Dashboard<small>Version 2.0</small></h1>
        <ol class="breadcrumb">
            <li><a href="javascript:void(0);"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    
    <section class="content">
        <div class="row">
            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-aqua"><i class="ion ion-ios-gear-outline"></i></span>
                    <a href='/transactions/order_head/Process/?on_id={{request.user.id}}' style="color:black">
                    <div class="info-box-content">
                        <span class="info-box-text"> Order In Process</span>
                        <span class="info-box-number">
                            {{orderheadactive|default:"0"}}
                        </span>
                    </div>
                    </a>
                </div>
            </div>

            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-red"><i class="fa fa-star"></i></span>
                    <a href='/transactions/order_head/Outstanding/?on_id={{request.user.id}}' style="color:black">
                    <div class="info-box-content">
                        <span class="info-box-text">Outstanding</span>
                        <span class="info-box-number">
                          ₹ {{outstanding|floatformat:2|intcomma}}
                        </span>
                    </div>
                    </a>
                </div>
            </div>

            <div class="col-md-4 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-green"><i class="ion ion-ios-people-outline"></i></span>
                    <a href="{% url 'dealers' %}?url=customer" style="color:black">
                    <div class="info-box-content">
                        <span class="info-box-text">Dealers</span>
                        <span class="info-box-number">{{totaldealer|default:"0"}}</span>
                    </div>
                    </a>
                </div>
            </div>

            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="box box-info">
                            <div class="box-header with-border">
                                <h3 class="box-title">Latest Orders</h3>

                                <div class="box-tools pull-right">
                                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                        <i class="fa fa-minus"></i>
                                    </button>
                                    <!--<button type="button" class="btn btn-box-tool" data-widget="remove">-->
                                        <!--<i class="fa fa-times"></i>-->
                                    <!--</button>-->
                                </div>
                            </div>
                            <div class="box-body">
                                <div class="table-responsive">
                                    {% if orderhead %}
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <th>Order No</th>
                                                    <th>DMS No</th>
                                                    <th>Order Date</th>
                                                    <th>Dispatch Date</th>
                                                    <th>Invoice Value</th>
                                                    <th>Discount</th>
                                                    <th>Status</th>
                                                    <th>Payment due</th>
                                                    <th>Credit days left</th>
                                                    <th>Dealer</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for obj in orderhead|slice:":5" %}
                                                    <tr>
                                                        <td>
                                                            <a href="/user/sr-order-detail/{{obj.order_number}}">
                                                                {{obj.order_number}}
                                                            </a>
                                                        </td>
                                                        <td>
                                                            {% if obj.DMS_order_number %}
                                                                <a href="/user/sr-order-detail/{{obj.order_number}}">
                                                                    {{obj.DMS_order_number}}
                                                                </a>
                                                            {% else %}
                                                                {{obj.DMS_order_number|default:"---"}}
                                                            {% endif %}
                                                        </td>
                                                        <td>{{obj.order_date|date|default:'---'}}</td>
                                                        <td>{{obj.dispatched_date|date|default:"---"}}</td>
                                                        <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                                                        <td>
                                                            {% if obj.discount_amount > 0 %}
                                                                ₹ {{obj.discount_amount|floatformat:2|intcomma}}
                                                            {% else %}
                                                                {{obj.discount_amount|default:"---"}}
                                                            {% endif %}
                                                        </td>
                                                        <td>
                                                            <span class="label label-info {{obj.status}}">
                                                                {{obj.get_status_display}}
                                                            </span>
                                                        </td>
                                                        <td>
                                                            {% if obj.dispatched_date %}
                                                            {% if obj.payable_amount > 0 %}
                                                               ₹ {{obj.payable_amount|floatformat:2|intcomma}}
                                                            {% else %}
                                                                ---
                                                            {% endif %}

                                                            {% else %}
                                                                ---
                                                            {% endif %}
                                                        </td>
                                                        <td>
                                                            {% if obj.get_status_display == 'Dispatched' or obj.get_status_display == 'Delivered' %}
                                                            {{obj.credit_days|default:"---"}}
                                                            {% else %}
                                                            ---
                                                            {% endif %}
                                                        </td>
                                                        <td>
                                                            <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                                                                {{obj.dealer.user_code}}.{{obj.company}}
                                                            </a>
                                                        </td>
                                                    </tr>
                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    {% else %}
                                        <span>Data is Not Found!!!</span>
                                    {% endif %}
                                </div>
                            </div>
                            {% if querysetcount|length > 5 %}
                            <div class="box-footer clearfix">
                                <a href="{% url 'latest_orders' %}?status=All" class="btn btn-sm btn-default btn-flat pull-right">
                                    View All Orders
                                </a>
                            </div>
                            {% endif %}
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="col-scheme">
                            <p class="text-center col-new-text">
                                <strong>New Schemes</strong>
                            </p>
                            <table class="table table table-bordered">
                                <thead>
                                    <tr>
                                        <th>Scheme Name</th>
                                        <th>Scheme code</th>
                                        <th style="text-align: right;">Discount (%)</th>
                                        <th style="text-align: right;">Discount (₹)</th>
                                        <th>Product</th>
                                        <th>SKU</th>
                                        <th>Scheme start date</th>
                                        <th>Scheme end date</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    {% if scheme|length > 0 %}
                                        {% for data in scheme %}
                                            <tr>
                                                <td>{{data.scheme_name}}</td>
                                                <td>{{data.scheme_code}}</td>
                                                <td style="text-align: right;">{{data.discount_percent|floatformat:2|intcomma}}</td>
                                                <td style="text-align: right;">{{data.discount_amount|floatformat:2|intcomma}}</td>
                                                <td>{{data.product}}</td>
                                                <td>{{data.sku}}</td>
                                                <!--<td>{{data.scheme_start_date|date|default:"-&#45;&#45;"}}</td>-->
                                                <!--<td>{{data.scheme_end_date|date|default:"-&#45;&#45;"}}</td>-->
                                                <td>{{data.scheme_start_date}}</td>
                                                <td>{{data.scheme_end_date}}</td>
                                            </tr>
                                        {% endfor %}
                                    {% else %}
                                        <tr><td colspan="7" style="text-align:center;">Data not available!!!</td></tr>
                                    {% endif %}
                                </tbody>
                            </table>
                        </div>

                        {% if totalschemesell|length > 10 %}
                            <div class="box-footer clearfix" >
                                <a href="{% url 'newscheme' %}" class="btn btn-sm btn-default btn-flat pull-right">
                                    View All Schemes
                                </a>
                            </div>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </section>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){
            $('.content-header').first().remove();
        });
    </script>
{% endblock %}